package com.chinaweal.aiccs.aiccs.abnormal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chinaweal.aiccs.aiccs.abnormal.entity.vo.RegulatoryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
@Mapper
public interface RegulatoryMapper extends BaseMapper<RegulatoryVO> {
    List<RegulatoryVO> queryParentRegulatory();

    List<RegulatoryVO> querySonRegulatory(@Param("orgNumber")String orgNumber);

    List<RegulatoryVO> queryAllRegulatory();

    RegulatoryVO selectOrgUnitNameByOrgNumber(@Param("orgNumber")String orgNumber);
}
